TAAS - Feature #170

ADM/ACM Master
02/25/2023 10:40 AM - Anil KV

Status: New Changes Coding Done Start date: 02/25/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: ADM/ACM Master

Description

Coding ADM/ACM Master

Hi

story

#1

- 06/07/2023 11:32 AM - Anil KV

ADM/ACM Master GUI Changes

=
—>
->
—>
=
=

—>

Date Mandatory

Department Mandatory

Type Mandatory

Add Document Status like Posting status - before posting status
Replace Batch No - File No, Enquiry No - like Receipt

Add attachment and Print buttons

Add Reference entrybox before Remarks
Add Ticket No entrybox after Date

Adjustment popup - Account mandatory
Add Sub Customer entry box after main ledger

Adjustment button move to in Grid Title Center

Checkbox, Ticket No entrybox with a Popup icon

Ticket No popup GUI

Ticket No, Amount, Add button

List - #, Ticket No, Amount, Edit and Delete Icon

Set and Close Button
Add Profit Ac entry box after airline - No profit then hide other wise mandatory
Add ADM/ACM No Entry box before Ticket no - Dynamic label based on Type
In List
Add Code before Account
Width reset - based on data

*ADM/ACM Unadjusted Account Default show in grid
Add Balance Amount:0.00 and Profit:0.00 in Grid Title

View Details - popup

Doc No: Supplier:
Date: Airline:
Amount : Branch:
Matched: Department:
Outstanding: Ticket No:
#2 - 06/07/2023 12:25 PM - Junaid M

- Status changed from New to Ready for Coding

- Assignee changed from Junaid M to Karthika V Anand

- % Done changed from 0 to 20

#3

- 06/07/2023 12:30 PM - Karthika V Anand

- Status changed from Ready for Coding to Coding Started

- % Done changed from 20 to 40
#4 - 06/10/2023 04:52 PM - Junaid M

ACM —-—- Sup to Agency
—-> Supplier Dr
-> UnAdj - Cr
—> Acc - Cr
-> Profit -Dr

ADM -- Agncy to Sup
-> Supplier - Cr
—-> UnAdj - Dr
-> Acc - Dr
-> Profit - Cr

#5 - 07/24/2023 09:36 AM - Karthika V Anand
- Assignee changed from Karthika V Anand to Aparna Mathew

#6 - 07/25/2023 11:34 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 08/05/2023 05:49 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Showing Default Number 94 After Updating

#8 - 08/09/2023 09:35 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 08/12/2023 06:04 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.Cant Add ROE Value With POINT VALUE

2.ERROR SHOWING US (Object reference not set to an instance of an object.)

3.ERROR SHOWING US (42883: procedure sp_insert_or_update_adm_or_acm(jsonb, jsonbl], jsonb][], unknown) does not exist
5.Showing Amount Us Undefined Ticket No)

6.SHOWING SAME TICKET NO THAT WE ADDED IN AMOUNT

#10 - 08/16/2023 05:33 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 08/22/2023 06:16 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE ADDING DATA FROM BACKWARD

#12 - 08/23/2023 12:18 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 08/24/2023 06:08 PM - unnikannan S
ISSUE FOUNDED

1.SHOWING DEFAULT AMOUNT ONLY IN SUPPLIER

#14 - 08/24/2023 06:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#15 - 08/25/2023 10:25 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#16 - 08/25/2023 02:33 PM - unnikannan S
TESTING DONE

#17 - 09/15/2023 12:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT SHOWING PARTY AND AMOUNT IN DOCUMENT SEARCH
2.SHOWING CODE NO IN OTHER MODULES WHILE GO THROUGH EDIT DOC SEARCH

#18 - 09/19/2023 01:42 PM - unnikannan S

unnikannan S wrote in #note-17:
ISSUE FOUNDED

1.NOT SHOWING PARTY AND AMOUNT IN DOCUMENT SEARCH

2.SHOWING CODE NO IN OTHER MODULES WHILE GO THROUGH EDIT DOC SEARCH

3.CHANGE IN ENQUIRY NO TO FILE NO AUTOMATICALLY WHILE SAVING ONLY WITH ENQUIRY NO
4.CHANGE FILE NO AND ENQUIRY NO LETTERS INTO BLOCK LETTERS

5.ADD TOOL TIP FOR HAND PICKER TICKET NO

#19 - 10/05/2023 10:03 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 10/13/2023 10:11 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR EHILE SELECTING NEW TAB ADDED DATA NOT CLEARING
2.MISING ADDED AIRLINE IN FOCUS OUT

3.SHOWING PROFIT A/C IN FOCUS OUT

4.CHANGE TOOL TIP OF HANDPICKER TO TICKET DETAILS

5.ISSUE WHILE TAKING DATA THROUGH ADM/ACM TRACKER NOT CLEARING FIELDS IN REFRESH
6.NOT CLEARING TICKET COLUMN FILTER DATA AFTER DELETE
7.MISSING PRECISION WHILE CLEARING IN ADM TAB

8.REMOVE RED SELECTION BOX FROM SUB CUSTOMER

9.ADD VALIDATION FOR MANDATORY FIELD DATE

10.ADD DELETE OPTION IN TICKRT DETAILS LIST

11.MISSING PRECISION IN TICKET DETAILS TAB AMT FIELD

#21 - 10/13/2023 03:13 PM - unnikannan S
unnikannan S wrote in #note-20:
ISSUE FOUNDED

1.ERROR EHILE SELECTING NEW TAB ADDED DATA NOT CLEARING

2.MISING ADDED AIRLINE IN FOCUS OUT

3.SHOWING PROFIT A/C IN FOCUS OUT

4.CHANGE TOOL TIP OF HANDPICKER TO TICKET DETAILS

5.ISSUE WHILE TAKING DATA THROUGH ADM/ACM TRACKER NOT CLEARING FIELDS IN REFRESH
6.NOT CLEARING TICKET COLUMN FILTER DATA AFTER DELETE

7.MISSING PRECISION WHILE CLEARING IN ADM TAB

8.REMOVE RED SELECTION BOX FROM SUB CUSTOMER

9.ADD VALIDATION FOR MANDATORY FIELD DATE

10.ADD DELETE OPTION IN TICKRT DETAILS LIST

11.MISSING PRECISION IN TICKET DETAILS TAB AMT FIELD

12.SHOWING ERROR US- While trying to write an array, one of its elements failed validation. You may be trying to mix types in a non-generic
IList, or to write a jagged array.

#22 - 10/28/2023 01:25 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 11/16/2023 06:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.INCREASE IN AMOUNT ROE FIELD WHILE CHOOSING OTHER CURRENCY
#24 - 11/17/2023 09:31 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 11/17/2023 10:52 AM - unnikannan S
TESTING DONE

#26 - 12/07/2023 06:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE ADDING TICKET NO IN ADJUSTMENT A/C AND SAVE
2.MISSING ADDED PROFIT A/C IN FOCUS OUT OF AMOUNT FIELD

#27 - 12/09/2023 09:51 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#28 - 12/11/2023 11:04 AM - unnikannan S
TESTING DONE

#29 - 12/22/2023 02:24 PM - unnikannan S
ISSUE FOUNDED

1.DEBIT CREDIT SHOWING AS 0 WHILE CHANGING SUPPLIER/ADJUSTMENT ACCOUNT CURRENCY
2.MISSING ADDED CHECK BOX IN TICKET FIELD AFTER SAVE

#30 - 03/11/2024 10:35 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD VALIDATION FOR DOC DATE
2.CLEAR INVALID DOC NO

#31 - 03/11/2024 06:35 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 03/18/2024 10:26 AM - unnikannan S
TESTING DONE

#33 - 03/18/2024 10:27 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR IN CONSOLE WHILE ADDING TICKET DETAILS
2.ADJUST GAP BETWEEN AMOUNT AND RED STAR IN UI
3.CONNECT ATTACHMENT FUNCTION

4.MISSING ADD,UPDATE SYMBOL IN TICKET LIST

#34 - 03/19/2024 11:23 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 03/19/2024 05:27 PM - unnikannan S
TESTING DONE

#36 - 04/06/2024 12:10 PM - Aparna Mathew
Log Table Connecting

Fix Bugs On Add Update Button (Adjustment Pop Up)

#37 - 04/06/2024 12:11 PM - Aparna Mathew
- Status changed from Reopen Bugs Coding Done to Coding Started
- % Done changed from 70 to 30

#38 - 04/12/2024 07:57 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#39 - 04/12/2024 12:03 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED
1.Error While Saving Without Adjustment Date (On Adjustment Pop Up)
#40 - 04/24/2024 09:58 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Console Error on opening popup - Cannot read properties of undefined (reading 'classList')
#41 - 04/25/2024 12:09 PM - unnikannan S
TESTING DONE

#42 - 06/06/2024 09:52 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Update After Changing Supplier Side Currency
(Object reference not set to an instance of an object.)

#43 - 06/28/2024 02:41 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#44 - 06/28/2024 05:17 PM - unnikannan S
ISSUE FOUNDED

1.Fix Bugs On ROE Focus Out

#45 - 06/28/2024 05:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#46 - 07/02/2024 01:13 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#47 - 08/08/2024 04:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Allow Decimal Value Save In Amount On Ticket Pop Up
2.Change Ticket Pop Up Head Label Name Add To Ticket No
3.Error On Decimal Value Wise Save

#48 - 08/08/2024 06:26 PM - Junaid M
DONE - New GUI Changes

1. Add "Party" account code-name widget after Ticket No widget.
-> Load 1st ticket no's customer if exist.
2. Add field in ts, cs model, SP .Db field => fk_party_account_id

#49 - 08/13/2024 11:22 AM - Junaid M

Enhancement

1. Validation move to Server side "ADM/ACM Unadjusted Mapping Account Not Set, Please set Mapping Account (Use "Set Account Mapping’
Module)."

#50 - 09/24/2024 12:11 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#51 - 10/17/2024 04:50 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Showing Adjustment Accounts As Undefined In Print And Missing Precision
#52 - 10/17/2024 11:48 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#53 - 10/25/2024 06:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Error In Deletion After The Document Used In Adm Adjustment

#54 - 10/25/2024 06:17 PM - unnikannan S
- File clipboard-202410251817-0Ic9e.png added

#55 - 10/28/2024 08:42 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 10/28/2024 09:06 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#57 - 01/02/2025 03:37 PM - Arathy PS

- Assignee changed from Aparna Mathew to Greeshma S

#58 - 03/13/2025 10:25 AM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50
Set Document Id in Posting
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#59 - 03/13/2025 06:16 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

clipboard-202410251817-0Ic9e.png 95 KB 10/25/2024 unnikannan S

05/04/2025 7/7


http://www.tcpdf.org

